package cmd

import (
	"log"
	"os"

	"github.com/spf13/cobra"
)

var (
  version string
)

var rootCmd = &cobra.Command{
  Use:   "mcst",
  Short: "MCST is a tool to manage Minecraft Java edition servers.",
  Long: `A flexible yet user-friendly tool to manage Minecraft Java edition server.
		Source code available at https://git.metaunix.net/BitGoblin/mcst`,
  Run: func(cmd *cobra.Command, args []string) {
    log.Printf("This is a test.")
  },
  Version: version,
}

func Start() {
  if err := rootCmd.Execute(); err != nil {
    log.Println(err)
    os.Exit(1)
  }
}
